-- define weapons to be attached to zombies when creating them
-- random knives inside their neck, spear in their stomach, meatcleaver in their back...
-- this is used in IsoZombie.addRandomAttachedWeapon()

AttachedWeaponDefinitions = AttachedWeaponDefinitions or {};

AttachedWeaponDefinitions.chanceOfAttachedWeapon = 10; -- Global chance of having an attached weapon, if we pass this we gonna add randomly one from the list

-- Weapons on fireman
AttachedWeaponDefinitions.SharkWeaponsFireman = {
	chance = 15,
	outfit = {"FiremanFullSuit"},
	weaponLocation = {"Blade On Back"},
	bloodLocations = nil,
	addHoles = false,
	daySurvived = 0,
	weapons = {
		"SWP.HalliganBar",
		"SWP.PulaskiAxe",
		"SWP.PikePole",
		"SWP.BushAxe",
	},
}

-- Weapons on soldiers
AttachedWeaponDefinitions.SharkWeaponsSoldier = {
	chance = 5,
	outfit = {"ArmyCamoDesert", "ArmyCamoGreen"},
	weaponLocation = {"Blade On Back"},
	bloodLocations = nil,
	addHoles = false,
	daySurvived = 15,
	weapons = {
		"SWP.EntrenchmentTool",
	},
}

-- Weapons impaled on the back
AttachedWeaponDefinitions.SharkBladeInBack = {
	chance = 5,
	weaponLocation = {"Axe Back"},
	bloodLocations = {"Back"},
	addHoles = true,
	daySurvived = 30,
	weapons = {
		"SWP.EntrenchmentTool",
		"SWP.Billhook",
	},
}

AttachedWeaponDefinitions.SharkAdditionalBack = {
	chance = 5,
	weaponLocation = {"MeatCleaver in Back"},
	bloodLocations = {"Back"},
	addHoles = true,
	daySurvived = 30,
	weapons = {
		"SWP.Tomahawk",
		"SWP.Billhook",
		"SWP.CaneMachete",
	},
}

AttachedWeaponDefinitions.CavalrySaberStomach = {
	chance = 3,
	weaponLocation = {"Stomach"},
	bloodLocations = {"Torso_Lower","Back"},
	addHoles = true,
	daySurvived = 30,
	weapons = {
		"SWP.CavalrySaber",
	},
}

AttachedWeaponDefinitions.SharkBladeStomach = {
	chance = 2,
	weaponLocation = {"Stomach"},
	bloodLocations = {"Torso_Lower","Back"},
	addHoles = true,
	daySurvived = 60,
	weapons = {
		"SWP.BoloKnife",
		"SWP.AntiqueBayonet",
	},
}

-- Random knife (better quality) in the stomach
AttachedWeaponDefinitions.SharkWeaponStomach = {
	chance = 5,
	weaponLocation = {"Knife Stomach"},
	bloodLocations = {"Torso_Lower", "Back"},
	addHoles = false,
	daySurvived = 25,
	weapons = {
		"SWP.AntiqueBayonet",
		"SWP.BoloKnife",
		"SWP.TacticalUtilityKnife",
	},
}

-- random spear in the stomach
AttachedWeaponDefinitions.spearStomach = {
	chance = 5, -- 
	weaponLocation = {"Stomach"}, 
	bloodLocations = {"Torso_Lower","Back"}, 
	addHoles = true, 
	daySurvived = 30, 
	weapons = {
		"SWP.BushAxe",
		"SWP.PikePole",
	},
}